## org.codehaus.groovy.reflection
Class CachedField

Field Summary
`boolean` | `alreadySetAccessible`
`CachedClass` | `cachedClass`
`Field` | `field`

Constructor Summary
`CachedField(CachedClass clazz, Field field)`

Method Summary
`int` | `getModifiers()`
`Object` | `getProperty(Object object)`
`boolean` | `isStatic()`
`void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

Constructor Detail

### CachedField

    public CachedField(CachedClass clazz, Field field)

Method Detail

### getModifiers

    public int getModifiers()

### getProperty

    public Object getProperty(Object object)

  return:
    the property of the given object
  throws:
    Exception if the property could not be evaluated

### isStatic

    public boolean isStatic()

### setProperty

    public void setProperty(Object object, Object newValue)

  Sets the property on the given object to the new value
  param:
    object on which to set the property
  param:
    newValue the new value of the property
  throws:
    RuntimeException if the property could not be set